package com.liquidnet.service.goblin.service.impl.manage;

import com.liquidnet.service.goblin.dto.vo.GoblinStoreGoodsCategoryVo;
import com.liquidnet.service.goblin.service.manage.IGoblinStoreMgtCategoryService;
import com.liquidnet.service.goblin.util.GoblinMongoUtils;
import com.liquidnet.service.goblin.util.GoblinRedisUtils;
import com.liquidnet.service.goblin.util.QueueUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class GoblinStoreMgtCategoryServiceImpl implements IGoblinStoreMgtCategoryService {
    @Autowired
    private QueueUtils queueUtils;
    @Autowired
    private GoblinRedisUtils goblinRedisUtils;
    @Autowired
    private GoblinMongoUtils goblinMongoUtils;

    @Override
    public List<GoblinStoreGoodsCategoryVo> list(String storeId) {
        return goblinRedisUtils.getStoreGoodsCategoryVos(storeId);
    }

    @Override
    public boolean add(String uid, List<GoblinStoreGoodsCategoryVo> storeGoodsCategoryVos) {
        // TODO: 2022/1/11 zhanggb
        return true;
    }

    @Override
    public boolean edit(String uid, GoblinStoreGoodsCategoryVo storeGoodsCategoryVo) {
        // TODO: 2022/1/11 zhanggb
        return true;
    }

    @Override
    public boolean del(String uid, String storeId, String cateid) {
        // TODO: 2022/1/11 zhanggb
        return true;
    }
}
